Package org.opensaml.xmlsec

# Interface KeyTransportAlgorithmPredicate

All Superinterfaces:
  `Predicate<KeyTransportAlgorithmPredicate.SelectionInput>`

public interface KeyTransportAlgorithmPredicate extends Predicate<KeyTransportAlgorithmPredicate.SelectionInput>
An interface for predicates which allow evaluation of a candidate key transport algorithm relative to a candidate data encryption algorithm and/or a candidate key transport credential.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static final class`
`KeyTransportAlgorithmPredicate.SelectionInput`
Input class for instances of `KeyTransportAlgorithmPredicate`.

## Method Summary

### Methods inherited from interface java.util.function.Predicate

`and, negate, or, test`